Bug 1099643 - validity errors after installing libxml2 with do-not-fetch-external-parameter-entities.patch
validity errors after installing libxml2 with do-not-fetch-external-parameter...
Status: CLOSED DUPLICATE of bug 1099639
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libxml2 (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity urgent
: rc
: ---
Assigned To: Daniel Veillard
qe-baseos-tools
:
Depends On:
Blocks: 1099980
  Show dependency treegraph
 
Reported: 2014-05-20 15:59 EDT by Kay Williams
Modified: 2014-05-28 23:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-28 23:30:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Simple DocBook XML file to test with (708 bytes, application/xml)
2014-05-20 19:35 EDT, Jeff Fearn
no flags Details

  None (edit)
Description Kay Williams 2014-05-20 15:59:54 EDT
Description of problem:
After installing libxml2-2.7.6-14.el6_5.1 and libxml2-python-2.7.6-14.el6_5.1, building books based on publican 2.1 fails with errors such as:

<file>:<line>: validity error : No declaration for element section
<file>:<line>: validity error : No declaration for element title
<file>:<line>: validity error : No declaration for element para
...

This is related to patch 41:
libxml2-Do-not-fetch-external-parameter-entities.patch

How reproducible:
Always
Comment 2 Jeff Fearn 2014-05-20 19:35:49 EDT
Created attachment 897761 [details]
Simple DocBook XML file to test with
Comment 3 Jeff Fearn 2014-05-20 19:39:28 EDT
I believe this is a bug in libxml2.

Running xmllint with the attached simple DocBook file fails unexpectedly.


$ xmllint --debug --dtdvalid /usr/share/sgml/docbook/xml-dtd-4.2-1.0-51.el6/docbookx.dtd -noout test.xml
test.xml:2: element book: validity error : No declaration for element book
test.xml:2: element book: validity error : No declaration for attribute lang of element book
test.xml:3: element chapter: validity error : No declaration for element chapter
test.xml:3: element chapter: validity error : No declaration for attribute id of element chapter
test.xml:3: element chapter: validity error : No declaration for attribute lang of element chapter
test.xml:4: element title: validity error : No declaration for element title
test.xml:5: element para: validity error : No declaration for element para
test.xml:8: element section: validity error : No declaration for element section
test.xml:8: element section: validity error : No declaration for attribute id of element section
test.xml:9: element title: validity error : No declaration for element title
test.xml:10: element para: validity error : No declaration for element para
test.xml:14: element section: validity error : No declaration for element section
test.xml:14: element section: validity error : No declaration for attribute id of element section
test.xml:15: element title: validity error : No declaration for element title
test.xml:16: element para: validity error : No declaration for element para
test.xml:18: element orderedlist: validity error : No declaration for element orderedlist
test.xml:19: element listitem: validity error : No declaration for element listitem
test.xml:20: element para: validity error : No declaration for element para
Document test.xml does not validate against /usr/share/sgml/docbook/xml-dtd-4.5-1.0-51.el6/docbookx.dtd
Comment 5 Ilari Stenroth 2014-05-26 09:55:28 EDT
PHP DOMDocument::validate() function is affected. We had to downgrade libxml2-* packages to version 2.7.6-12.el6_4.1 on our web servers.
Comment 6 Ilari Stenroth 2014-05-26 10:52:46 EDT
Definitely related: https://bugzilla.redhat.com/show_bug.cgi?id=1090976 (CVE-2014-0191 libxml2: external parameter entity loaded when entity substitution is disabled)
Comment 7 reda 2014-05-27 05:57:38 EDT
We had the same issue on ubuntu 12.04 since the latest update of libxml2. My workaround is to copy the libxml2.so.2.7.8 from an other ubuntu (that hadn't get an update) to /usr/lib/x86_64-linux-gnu folder and now publican is working.
Comment 8 Jeff Fearn 2014-05-28 23:30:06 EDT

*** This bug has been marked as a duplicate of bug 1099639 ***

Note You need to log in before you can comment on or make changes to this bug.